Get Loyalty Customer Wallet

Purpose

Retrieve a customer's loyalty wallet by returning their cash balance, points balance, and expiration details.

During the initial integration phase, you specify which unique identifier your system uses for customers. Deliverect sends that identifier as a request parameter when it retrieves an individual customer record.

Accepted unique identifiers are:

  • Email
  • Phone number in E.164 international format
  • Provider Id

For example, if the unique customer identifier is email, the request url will be sent as: http://yourwebhook.com/customer/wallet?email=john.doe%40email.com

For phone number as unique identifier, the request request url will be sent as:

http://yourwebhook.com/customer/wallet?phoneNumber=%2B32111111111

For your own provider ID, the request url wil be sent as:

http://yourwebhook.com/customer/wallet?providerId=%partner-customer-id-123

Note: All request parameters are URL encoded.

If the customer does not exist in your platform, return a 404 status code.

URL Parameters

ParameterTypeRequiredDescription
emailstringYes if used as unique identifierThis parameter will always be sent if your integration uses the email as a unique identifier
phoneNumberstringYes if used as unique identifierThis parameter will always be sent if your integration uses the phone number as a unique identifier. (E.164 international standard)
providerIdstringYesThis parameter is the customer's identifier in your integration
accountIdstringYesThe merchant's account ID in Deliverect
loyaltyProfileIdstringYesThe Id of the profile where the response configuration was stored
locationIdstringNoThe location ID related to the merchant's account in Deliverect
channelLinkIdstringNoThe channel link ID related to the location of the merchant's account in Deliverect

Return at least one wallet object: cash or points.

Response

Customer Wallet AttributesTypeRequiredDescription
cashObjectYesSee cash object description below.
pointsObjectYesSee points object description below.

Cash AttributesTypeRequiredDescription
balanceAmountintegerNo (defaults to zero)Cash balance that the customer uses to redeem programs. It should be sent as an integer with 2 decimal digits e.g. 1 dollar would be sent as 100.
expirationslist[Object]No (defaults to empty array)See expirations object description below.

Cash Expirations AttributesTypeRequiredDescription
amountintegerYes if your integration uses cash to redeem programsAmount of cash balance to expire according to the date.
datedateYes if your integration uses cash to redeem programsExpiration date of the amount to be expired.

Points AttributesTypeRequiredDescription
balancefloatNo (defaults to zero)Cash balance that the customer uses to redeem programs.
expirationslist[Object]No (defaults to empty array)See expirations object description below.
Points Expirations AttributesTypeRequiredDescription
amountfloatYes if your integration uses points to redeem programsAmount of points balance to expire according to the date.
datedateYes if your integration uses points to redeem programsExpiration date of the amount to be expired.

Example response

{
  "cash": {
    "balanceAmount": 1054,
    "expirations": [
      {
        "amount": 54,
        "date": "2030-01-01"
      }
    ]
  },
  "points": {
    "balance": 40.5,
    "expirations": [
      {
        "amount": 5.5,
        "date": "2030-01-01"
      }
    ]
  }
}

Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json